PROGRAM_NAME='Bose VB1 Demo v1_1 - Main'

/////////////////////////////////////////////////////////////
// IN ORDER TO VIEW THIS FILE CORRECTLY,
// PLEASE SET YOUR NETLINX STUDIO EDITOR SETTINGS TO:
// TAB STOP CHARACTERS: 2
// INDENT BEFORE TEXT: 2
/////////////////////////////////////////////////////////////

#IF_NOT_DEFINED __SNAPI_CONST__
#INCLUDE 'SNAPI'
#END_IF

(***********************************************************)
(*          DEVICE NUMBER DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_DEVICE

// -------------------- PHYSICAL DEVICES

dvDevice 	= 0:3:0;
dvTp 			= 10001:1:0;

// -------------------- VIRTUAL DEVICES

vdvDevice	= 41001:1:0;

(***********************************************************)
(*               CONSTANT DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_CONSTANT

(***********************************************************)
(*              DATA TYPE DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_TYPE

(***********************************************************)
(*               VARIABLE DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_VARIABLE

(***********************************************************)
(*                STARTUP CODE GOES BELOW                  *)
(***********************************************************)
DEFINE_START

// -------------------- DEFINE MODULES

// ----- COMM MODULE

DEFINE_MODULE 'BoseVB1_dr1_0_0' modBoseComm(vdvDevice, dvDevice);

// ----- UI MODULE

DEFINE_MODULE 'Bose VB1 Demo v1_1 - UI' modBoseUI(dvTp, vdvDevice);

(***********************************************************)
(*                THE EVENTS GO BELOW                      *)
(***********************************************************)
DEFINE_EVENT

// -------------------- DEVICE EVENTS

// ----- ONLINE

DATA_EVENT[vdvDevice]
{
	ONLINE:
	{
		WAIT 50 'SETTLE DEVICE'
		{
			SEND_COMMAND vdvDevice,"'DEBUG-4'";
			SEND_COMMAND vdvDevice,"'PROPERTY-IP_Address,192.168.1.1'";
			SEND_COMMAND vdvDevice,"'PROPERTY-Port,443'";
			SEND_COMMAND vdvDevice,"'PROPERTY-Password,mypassword'";
			SEND_COMMAND vdvDevice,"'REINIT'";
		}
	}
}

DEFINE_PROGRAM